Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985082 - git annex webapp sub-command missing
Summary: git annex webapp sub-command missing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: git-annex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1280301 (view as bug list)
Depends On: 630276 925993 1176888 1485488 1485491 1485500 1485514 1497030 1510870 yesod 1513289 1513774
Blocks: 1491457
TreeView+ depends on / blocked
 
Reported: 2013-07-16 18:17 UTC by Stephen
Modified: 2018-04-06 08:34 UTC (History)
6 users (show)

Fixed In Version: git-annex-6.20170925-7.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 08:34:21 UTC


Attachments (Terms of Use)

Description Stephen 2013-07-16 18:17:36 UTC
Description of problem:

'man git-annex' describes the sub-command 'webapp', but 'git annex webapp' returns:

  git-annex: unknown command webapp

Looks like git-annex has been built without support for the webapp command, which is git-annex's GUI and therefore quite important. I think it depends on the Yesod web server.


Version-Release number of selected component (if applicable):

git-annex-3.20121009-3.fc19.x86_64


How reproducible:

Always.


Steps to Reproduce:
1. git-annex webapp


Actual results:

git-annex: unknown command webapp


Expected results:

Browser should pop up pointed at locahost.


Additional info:

Comment 1 Stephen 2013-07-16 18:36:23 UTC
Also, there should probably be a .desktop file to invoke the webapp sub-command.

Comment 2 Ben Boeckel 2013-07-16 19:02:53 UTC
The yesod stack is planned for F20; that bug will be reopened when its dependencies are complete.

Comment 3 Jens Petersen 2013-07-17 07:07:49 UTC
At the same time this also seems like an upstream bug,
it should really hide the webapp command if git-annex
is not built with yesod IMHO.

Comment 4 Need Real Name 2013-07-23 14:34:14 UTC
Noooo! How can something as cool as git-annex not be in F19?!

Comment 5 Fedora End Of Life 2015-01-09 22:12:42 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-18 14:01:07 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Ben Boeckel 2015-11-11 13:20:32 UTC
*** Bug 1280301 has been marked as a duplicate of this bug. ***

Comment 8 Jens Petersen 2017-06-14 04:05:17 UTC
You could try https://copr.fedorainfracloud.org/coprs/petersen/git-annex/

Comment 9 Jens Petersen 2017-11-19 07:12:21 UTC
Can this be built now for Rawhide?

Comment 10 Elliott Sales de Andrade 2017-11-19 07:15:39 UTC
It already is...


Note You need to log in before you can comment on or make changes to this bug.